<template>
  <VContainer fill-height>
    <VRow align="center">
      <VCol class="text-center">
        <h1 class="display-2 primary--text">
          {{ error.statusCode }}
        </h1>
        <!-- eslint-disable-next-line vue/no-v-html -->
        <p v-html="error.message" />
        <VBtn color="warning" large outlined @click="getRoute">
          <VIcon left>
            mdi-alarm-light-outline
          </VIcon>
          Tire-me daqui!
        </VBtn>
      </VCol>
    </VRow>
  </VContainer>
</template>

<script lang="ts">
import { Component, Vue, Prop } from 'nuxt-property-decorator'

@Component({
  layout: 'empty',
})
export default class Error extends Vue {
  @Prop(Object)
  readonly error!: {
    statusCode: number
    message: string
  }

  pageNotFound = '404 Not Found'
  otherError = 'An error occurred'

  getRoute() {
    if (window.history.length > 1) {
      this.$router.back()
    } else {
      this.$router.push('/')
    }
  }

  head() {
    return {
      title:
        this.error.statusCode === 404 ? this.pageNotFound : this.otherError,
    }
  }
}
</script>
